Debian Bug report logs - #172021
ftp.debian.org: please remove xkbsel

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Milan Zamazal <pdm@debian.org>

Date: Fri, 6 Dec 2002 17:48:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#172021; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Milan Zamazal <pdm@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Milan Zamazal <pdm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: xkbsel -- Tool for defining, selecting, and indicating XKB keyboards.
Date: Fri, 06 Dec 2002 18:35:34 +0100
Package: wnpp
Version: N/A; reported 2002-12-06
Severity: normal

I intend to orphan the xkbsel package.  I'm unable to build it on current
testing/unstable due to dependencies on the old db libraries.  The package is
unmaintained upstream and I've got no time to fix it.

The package description is:
 xkbsel is a framework for defining, selecting, and indicating XKB keyboard
 mappings, without the need to modify X11 distribution in any way.
 .
 This package contains the xkbsel basic files and binaries, including the
 Athena keyboard switching applet.
 .
 Homepage: http://www.penguin.cz/~stano/sk/xkbsel.html

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux blackbird 2.4.19 #1 Tue Nov 5 09:54:52 CET 2002 i686
Locale: LANG=C, LC_CTYPE=cs_CZ.ISO8859-2




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#172021; Package wnpp. Full text and rfc822 format available.

Message #8 received at 172021@bugs.debian.org (full text, mbox):

From: Martin Godisch <martin@godisch.de>
To: 172021@bugs.debian.org
Cc: control@bugs.debian.org
Subject: please remove xkbsel
Date: Wed, 23 Jul 2003 17:32:39 +0200
retitle 172021 ftp.debian.org: please remove xkbsel
reassign 172021 ftp.debian.org
thanks

xkbsel has been orphaned for > 7 months now, it's unmaintained upstream,
and cannot be built on unstable any longer. Bug #199610 cannot be fixed
by simply switching to libgdbm-dev and is holding up the gdbm dependency
chain. The package has no rdepends.

Kind regards,

Martin



Changed Bug title. Request was from Martin Godisch <martin@godisch.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Godisch <martin@godisch.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@debian.org>:
Bug#172021; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@debian.org>. Full text and rfc822 format available.

Message #17 received at 172021@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Martin Godisch <martin@godisch.de>, 172021@bugs.debian.org
Subject: Re: Bug#172021: please remove xkbsel
Date: Wed, 23 Jul 2003 16:56:23 +0100
On Wed, Jul 23, 2003 at 05:32:39PM +0200, Martin Godisch wrote:
> xkbsel has been orphaned for > 7 months now, it's unmaintained upstream,
> and cannot be built on unstable any longer. Bug #199610 cannot be fixed
> by simply switching to libgdbm-dev and is holding up the gdbm dependency
> chain.

As a point of information, it isn't (although it would if testing
checked build-dependencies); gdbm went into testing yesterday.

This isn't an objection to removing xkbsel, though.

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Milan Zamazal <pdm@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 172021-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 172021-close@bugs.debian.org
Subject: Bug#172021: fixed
Date: Mon, 04 Aug 2003 19:00:45 -0400
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libxkbsel-dev |  0.13-13.1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
    xkbsel |  0.13-13.1 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 172021@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ryan Murray (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:04:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.